<?php
/**
 * Fichier gérant l'installation et désinstallation du plugin Subdivisions Géographiques
 *
 * @plugin     Subdivisions Géographiques
 * @copyright  2019-2020
 * @author     Vincent CALLIES
 * @licence    GNU/GPL
 * @package    SPIP\Subdivisions\Installation
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Fonction d'installation et de mise à jour du plugin Subdivisions Géographiques.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @param string $version_cible
 *     Version du schéma de données dans ce plugin (déclaré dans paquet.xml)
 * @return void
**/
function subdivisions_upgrade($nom_meta_base_version, $version_cible) {
	$maj = array();

	include_spip('base/importer_spip_subdivisions');
	$maj['create'] = array(
		array('maj_tables', array('spip_subdivisions', 'spip_subdivisions_liens')),
		array('importer_spip_subdivisions')
 	);

 	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);

}


/**
 * Fonction de désinstallation du plugin Subdivisions Géographiques.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @return void
**/
function subdivisions_vider_tables($nom_meta_base_version) {

	sql_drop_table('spip_subdivisions');
	sql_drop_table('spip_subdivisions_liens');


	effacer_meta($nom_meta_base_version);
}
